Package: org.gradle.api.plugins.quality

## [Groovy] Class Checkstyle

- org.gradle.api.plugins.quality.Checkstyle

- All Implemented Interfaces and Traits:
    Reporting, VerificationTask

      class Checkstyle
      extends SourceTask

  Runs Checkstyle against some source files.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `FileCollection` | `checkstyleClasspath` The class path containing the Checkstyle library to be used.
    `FileCollection` | `classpath` The class path containing the compiled classes for the source files to be analyzed.
    `File` | `configFile` The Checkstyle configuration file to use.
    `Map<String, Object>` | `configProperties` The properties available for use in the configuration file.
    `boolean` | `ignoreFailures` Whether or not this task will ignore failures and continue running the build.
    `boolean` | `showViolations` Whether or not rule violations are to be displayed on the console.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Checkstyle ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `IsolatedAntBuilder` | `getAntBuilder()`
    `Instantiator` | `getInstantiator()`
    `CheckstyleReports` | `getReports()` The reports to be generated by this task.
    `CheckstyleReports` | `reports(Closure closure)` Configures the reports to be generated by this task.
    `void` | `run()`

- - ### Property Detail

    - #### @InputFiles FileCollection checkstyleClasspath

      The class path containing the Checkstyle library to be used.

    - #### @InputFiles FileCollection classpath

      The class path containing the compiled classes for the source files to be analyzed.

    - #### @InputFile File configFile

      The Checkstyle configuration file to use.

    - #### @Input @Optional Map<String, Object> configProperties

      The properties available for use in the configuration file. These are substituted into the configuration file.

    - #### boolean ignoreFailures

      Whether or not this task will ignore failures and continue running the build.

    - #### boolean showViolations

      Whether or not rule violations are to be displayed on the console.

  - ### Constructor Detail

    - #### Checkstyle()

  - ### Method Detail

    - #### @Inject IsolatedAntBuilder getAntBuilder()

    - #### @Inject Instantiator getInstantiator()

    - #### CheckstyleReports getReports()

      The reports to be generated by this task.

      Returns:
        The reports container

    - #### CheckstyleReports reports(Closure closure)

      Configures the reports to be generated by this task. The contained reports can be configured by name and closures. Example:

           checkstyleTask {
             reports {
               xml {
                 destination "build/codenarc.xml"
               }
             }
           }

      Parameters:
        `closure` - The configuration
      Returns:
        The reports container

    - #### @TaskAction void run()